
/*
 * $Id: pglStrIs.h,v 1.3 1999/09/07 17:48:14 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PGL_STRING_IS_H
#define PGL_STRING_IS_H

class String;
class Time;
class BigSize;

extern bool pglIsRatio(const String &str, double &r);
extern bool pglIsRelTime(const String &str, Time &t);
extern bool pglIsAbsTime(const String &str, Time &t);
extern bool pglIsSize(const String &str, BigSize &s);
extern bool pglIsNetAddr(const String &str, String &host, int &port);

#endif
